package com.diaoyun.zion.chinafrica.enums;


import com.diaoyun.zion.master.enums.EnumItemable;

/**
 * 爬虫枚举
 * 
 * @author G
 */
public enum PlatformEnum implements EnumItemable<PlatformEnum> {

	/**
	 * 对应爬虫的枚举
	 */
	TB("淘宝", "tb"),
	TM("天猫", "tm"),
	PULLANDBEAR("Pullandbear","pullandbear"),
	GAP("GAP", "gap"),
	ZARA("Zara", "zara"),
	UNIQLO("优衣库", "uniqlo"),
	NIKE("耐克", "nike"),
	ADIDAS("阿迪达斯", "adidas"),
	HM("H&M", "hm"),
	LILY("Lily", "lily"),
	EIFINI("伊芙丽", "eifini"),
	URBANREVIVO("UrbanRevivo", "urbanrevivo"),
	ABERCROMBIEFITCH("Abercrombie&Fitch", "aberCrombieFitch"),
	UNDERARMOUR("安德玛", "underarmour"),
	OCHIRLY("欧时力", "ochirly"),
	ESPRIT("思捷", "esprit"),
	LEVI("李维斯", "levi"),
	MOCO("MO&Co.", "moco"),
	MASSIMODUTTI("MassimoDutti", "massimodutti"),
	COACH("蔻驰", "coach"),
	REVOLVE("Revolve", "revolve"),
	VANS("范斯", "vans"),
	OYSHO("Oysho", "oysho"),
	STRADIVARIUS("斯特拉迪瓦里斯", "stradivarius"),
	MAJE("Maje", "maje"),
	GUCCI("古驰", "gucci"),
	BURBERRY("博柏利", "burberry"),
	PRADA("普拉达", "prada"),
	FENDI("芬迪", "fendi"),
	APPLE("苹果", "apple"),
	LOUISVUITTON("路易威登LV", "louisVuitton"),
	UN("未知", "un"),
	AfriEshop("afri-eshop","afri-eshop" );

	private String label;
	private String value;

	PlatformEnum(String label, String value) {
		this.label = label;
		this.value = value;
	}

	@Override
	public String getLabel() {
		return this.label;
	}

	@Override
	public String getValue() {
		return this.value;
	}
}
